Package org.apache.sling.auth.saml2.sp

## Class VerifySignatureCredentials

- java.lang.Object
- - org.apache.sling.auth.saml2.sp.JksCredentials
  - - org.apache.sling.auth.saml2.sp.VerifySignatureCredentials

    public class VerifySignatureCredentials
    extends JksCredentials

This is used when SAML messages are signed by the Identity Provider.

### Method Summary

All Methods Static Methods Concrete Methods
`static org.opensaml.security.credential.Credential` `getCredential​(String jksPath, char[] jksPassword, String certAlias)` The public x509 credential as provided by this method is used to verify the signature of incoming SAML Requests.

### Methods inherited from class org.apache.sling.auth.saml2.sp.JksCredentials

`getKeyStore`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getCredential

    public static org.opensaml.security.credential.Credential getCredential​(String jksPath,
                                                                            char[] jksPassword,
                                                                            String certAlias)

The public x509 credential as provided by this method is used to verify the signature of incoming SAML Requests.

Parameters:
  `jksPath` - The path to the JKS holding the Certification
  `jksPassword` - Password of the Java KeyStore
  `certAlias` - The Alias of the public key credential used to create the X509
Returns:
  returns the Credential